diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLake.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLake.java
index 47d50bed8..fd80e4a6d 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLake.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLake.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.enums.LightLayer;
@@ -9,10 +8,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Material, Block, 
-//            EnumSkyBlock, GrassBlock
-
 public class WorldFeatureLake extends WorldFeature
 {
     @MethodParametersAnnotation(names = {"liquidId"})
@@ -24,8 +19,8 @@ public class WorldFeatureLake extends WorldFeature
     @Override
 	public boolean place(World world, Random random, int x, int y, int z)
     {
-    	Block liquid = Block.blocksList[liquidId];
-    	Biome biome = world.getBlockBiome(x, y, z);
+//    	Block liquid = Block.blocksList[liquidId];
+//    	Biome biome = world.getBlockBiome(x, y, z);
 
         x -= 8;
         for(z -= 8; y > 0 && world.isAirBlock(x, y, z); y--) { }
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLiquid.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLiquid.java
index 57877d595..5f26b11d4 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLiquid.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLiquid.java
@@ -6,9 +6,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block
-
 public class WorldFeatureLiquid extends WorldFeature
 {
     @MethodParametersAnnotation(names = {"liquidId"})
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMeadow.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMeadow.java
index dfcbdfab3..312d3c7df 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMeadow.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMeadow.java
@@ -18,7 +18,7 @@ public class WorldFeatureMeadow extends WorldFeature
     @Override
     public boolean place(World world, Random random, int x, int y, int z)
     {
-        for(int l = 0; ((l = world.getBlockId(x, y, z)) == 0 || Block.blocksList[l] instanceof BlockLeavesBase) && y > 0; y--) { }
+        for(int l; ((l = world.getBlockId(x, y, z)) == 0 || Block.blocksList[l] instanceof BlockLeavesBase) && y > 0; y--) { }
         for(int i1 = 0; i1 < 128; i1++)
         {
             int j1 = (x + random.nextInt(8)) - random.nextInt(8);
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMudPatch.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMudPatch.java
index fccad9727..3a26d960d 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMudPatch.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureMudPatch.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.noise.ImprovedNoise;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureNetherLava.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureNetherLava.java
index 1e51a1207..768152aab 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureNetherLava.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureNetherLava.java
@@ -6,9 +6,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block
-
 public class WorldFeatureNetherLava extends WorldFeature
 {
     private final int blockId;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java
index bb6220b87..72679bd27 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java
@@ -8,9 +8,6 @@ import org.jetbrains.annotations.NotNull;
 import java.util.Map;
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, MathHelper, World, Block
-
 public class WorldFeatureOre extends WorldFeature
 {
     private int minableBlockId;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeaturePumpkin.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeaturePumpkin.java
index b1b7ba0cc..10c97ea1d 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeaturePumpkin.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeaturePumpkin.java
@@ -1,14 +1,10 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, GrassBlock
-
 public class WorldFeaturePumpkin extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRichScorchedDirt.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRichScorchedDirt.java
index ace8cd0bd..d4a65e992 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRichScorchedDirt.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRichScorchedDirt.java
@@ -1,14 +1,10 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, MathHelper, World, Block
-
 public class WorldFeatureRichScorchedDirt extends WorldFeature
 {
     @MethodParametersAnnotation(names = {"numberOfBlocks"})
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSpinifexPatch.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSpinifexPatch.java
index 8404db992..e0cb29cae 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSpinifexPatch.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSpinifexPatch.java
@@ -7,10 +7,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves,
-//            BlockFlower
-
 public class WorldFeatureSpinifexPatch extends WorldFeature
 {
     @Override
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSponge.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSponge.java
index 5fcc33dcc..a6bafd3ab 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSponge.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSponge.java
@@ -1,14 +1,10 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockFlower
-
 public class WorldFeatureSponge extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCane.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCane.java
index e83fd6c4b..b9bd3a0b2 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCane.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCane.java
@@ -1,15 +1,11 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Material, Block
-
 public class WorldFeatureSugarCane extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCaneTall.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCaneTall.java
index 316506f46..50907c4ba 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCaneTall.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureSugarCaneTall.java
@@ -1,15 +1,11 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Material, Block
-
 public class WorldFeatureSugarCaneTall extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureTallGrass.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureTallGrass.java
index 9be154998..e6fda6c8f 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureTallGrass.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureTallGrass.java
@@ -6,10 +6,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves, 
-//            BlockFlower
-
 public class WorldFeatureTallGrass extends WorldFeature
 {
     private final int blockId;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeCherry.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeCherry.java
index 4d1eb51a5..3f595d0d2 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeCherry.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeCherry.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.feature.tree;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.feature.MethodParametersAnnotation;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancy.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancy.java
index 846de0eef..ff113af0e 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancy.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancy.java
@@ -9,9 +9,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, MathHelper, World
-
 public class WorldFeatureTreeFancy extends WorldFeature
 {
 	protected int leavesID;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancyRainforest.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancyRainforest.java
index 0eb9c3b0f..d4399a950 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancyRainforest.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeFancyRainforest.java
@@ -9,9 +9,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, MathHelper, World
-
 public class WorldFeatureTreeFancyRainforest extends WorldFeature
 {
     // TODO these fucking hellish copy pasted fancy tree code classes are the most miserable things to parse
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShapeSwamp.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShapeSwamp.java
index 3f817920c..c4c6070ff 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShapeSwamp.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShapeSwamp.java
@@ -10,10 +10,6 @@ import net.minecraft.core.world.generate.feature.WorldFeatureAlgae;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves,
-//            GrassBlock
-
 public class WorldFeatureTreeShapeSwamp extends WorldFeature
 {
     protected int leavesID;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShrub.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShrub.java
index 4f1e981ab..106b96860 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShrub.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeShrub.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.generate.feature.tree;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.feature.MethodParametersAnnotation;
@@ -10,10 +9,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves,
-//            GrassBlock
-
 public class WorldFeatureTreeShrub extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaBushy.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaBushy.java
index fde431808..f69bc5d11 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaBushy.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaBushy.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.generate.feature.tree;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.feature.MethodParametersAnnotation;
@@ -9,10 +8,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves, 
-//            GrassBlock
-
 public class WorldFeatureTreeTaigaBushy extends WorldFeature
 {
 	protected int leavesID;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaTall.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaTall.java
index d1ddbb3ba..74f5ecd1f 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaTall.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTaigaTall.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.generate.feature.tree;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.feature.MethodParametersAnnotation;
@@ -9,10 +8,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves, 
-//            GrassBlock
-
 public class WorldFeatureTreeTaigaTall extends WorldFeature
 {
 	protected int leavesID;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTall.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTall.java
index 5f1966761..4c631f893 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTall.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/WorldFeatureTreeTall.java
@@ -9,10 +9,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves,
-//            GrassBlock
-
 public class WorldFeatureTreeTall extends WorldFeature
 {
     protected int leavesID;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTree.java b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTree.java
index 4caefbe22..404504338 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTree.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/tree/spooner/WorldFeatureSpoonerTree.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.generate.feature.tree.spooner;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.feature.MethodParametersAnnotation;
diff --git a/src/main/java/net/minecraft/core/world/noise/PerlinNoise.java b/src/main/java/net/minecraft/core/world/noise/PerlinNoise.java
index e0ce807ea..ac319d1e4 100644
--- a/src/main/java/net/minecraft/core/world/noise/PerlinNoise.java
+++ b/src/main/java/net/minecraft/core/world/noise/PerlinNoise.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.noise;
 
-import java.util.Arrays;
 import java.util.Random;
 
 public class PerlinNoise
diff --git a/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java b/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
index c4d85e1b8..6a315fcb0 100644
--- a/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
+++ b/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.save;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.client.world.save.SaveHandlerClientSP;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
diff --git a/src/main/java/net/minecraft/core/world/save/SaveFormats.java b/src/main/java/net/minecraft/core/world/save/SaveFormats.java
index 2c51aa4a9..79e6709e5 100644
--- a/src/main/java/net/minecraft/core/world/save/SaveFormats.java
+++ b/src/main/java/net/minecraft/core/world/save/SaveFormats.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.save;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.Global;
 import net.minecraft.core.world.save.legacy.SaveFormatLegacy;
 import net.minecraft.core.world.save.mcregion.SaveFormat19132;
 import net.minecraft.core.world.save.mcregion.SaveFormat19133;
diff --git a/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java b/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java
index 5ed319489..cca61f394 100644
--- a/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java
+++ b/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.world.save.conversion;
 
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
-
 public class ChunkConverter
 {
 	/**
diff --git a/src/main/java/net/minecraft/core/world/save/mcregion/RegionFile.java b/src/main/java/net/minecraft/core/world/save/mcregion/RegionFile.java
index 5a6285166..fae1159ed 100644
--- a/src/main/java/net/minecraft/core/world/save/mcregion/RegionFile.java
+++ b/src/main/java/net/minecraft/core/world/save/mcregion/RegionFile.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.save.mcregion;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.Global;
 import org.slf4j.Logger;
 
 import java.io.*;
diff --git a/src/main/java/net/minecraft/core/world/save/mcregion/SaveFormat19134.java b/src/main/java/net/minecraft/core/world/save/mcregion/SaveFormat19134.java
index 18404166b..1db296688 100644
--- a/src/main/java/net/minecraft/core/world/save/mcregion/SaveFormat19134.java
+++ b/src/main/java/net/minecraft/core/world/save/mcregion/SaveFormat19134.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.save.mcregion;
 
 import net.minecraft.core.world.Dimension;
-import net.minecraft.core.world.save.LevelData;
 import net.minecraft.core.world.save.SaveFormatBase;
 
 import java.io.File;
diff --git a/src/main/java/net/minecraft/core/world/saveddata/SavedData.java b/src/main/java/net/minecraft/core/world/saveddata/SavedData.java
index 710a9c21b..827fe0528 100644
--- a/src/main/java/net/minecraft/core/world/saveddata/SavedData.java
+++ b/src/main/java/net/minecraft/core/world/saveddata/SavedData.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.world.saveddata;
 
-
-// Referenced classes of package net.minecraft.src:
-//            NBTTagCompound
-
 import com.mojang.nbt.CompoundTag;
 
 public abstract class SavedData
diff --git a/src/main/java/net/minecraft/core/world/saveddata/SavedDataStorage.java b/src/main/java/net/minecraft/core/world/saveddata/SavedDataStorage.java
index a33901707..d1558df66 100644
--- a/src/main/java/net/minecraft/core/world/saveddata/SavedDataStorage.java
+++ b/src/main/java/net/minecraft/core/world/saveddata/SavedDataStorage.java
@@ -5,7 +5,6 @@ import com.mojang.nbt.Tag;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.ShortTag;
 import com.mojang.nbt.NbtIo;
-import net.minecraft.core.Global;
 import net.minecraft.core.world.save.LevelStorage;
 import org.slf4j.Logger;
 
@@ -13,10 +12,6 @@ import java.io.*;
 import java.nio.file.Files;
 import java.util.*;
 
-// Referenced classes of package net.minecraft.src:
-//            MapDataBase, ISaveHandler, CompressedStreamTools, NBTTagCompound, 
-//            NBTBase, NBTTagShort
-
 public class SavedDataStorage
 {
     private static final Logger LOGGER = LogUtils.getLogger();
diff --git a/src/main/java/net/minecraft/core/world/saveddata/maps/ItemMapSavedData.java b/src/main/java/net/minecraft/core/world/saveddata/maps/ItemMapSavedData.java
index b6daf353d..b849176cf 100644
--- a/src/main/java/net/minecraft/core/world/saveddata/maps/ItemMapSavedData.java
+++ b/src/main/java/net/minecraft/core/world/saveddata/maps/ItemMapSavedData.java
@@ -12,10 +12,6 @@ import net.minecraft.core.world.saveddata.SavedData;
 
 import java.util.*;
 
-// Referenced classes of package net.minecraft.src:
-//            MapDataBase, NBTTagCompound, MapInfo, Player,
-//            InventoryPlayer, MapCoord, ItemStack
-
 public class ItemMapSavedData extends SavedData
 {
     public static final byte MAX_SCALE = 4;
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java b/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
index 5d4ba3099..2f97744f3 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.type;
 
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java b/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
index 1506c5a9b..be6be9932 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.type;
 
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
diff --git a/src/main/java/net/minecraft/core/world/weather/WeatherClear.java b/src/main/java/net/minecraft/core/world/weather/WeatherClear.java
index 8a3f4a9cb..1c1ffa3b5 100644
--- a/src/main/java/net/minecraft/core/world/weather/WeatherClear.java
+++ b/src/main/java/net/minecraft/core/world/weather/WeatherClear.java
@@ -1,12 +1,5 @@
 package net.minecraft.core.world.weather;
 
-import net.minecraft.core.world.World;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
-import net.minecraft.core.world.chunk.Chunk;
-
-import java.util.Random;
-
 public class WeatherClear extends Weather
 {
 	public WeatherClear(int id)
diff --git a/src/main/java/net/minecraft/core/world/weather/WeatherManager.java b/src/main/java/net/minecraft/core/world/weather/WeatherManager.java
index 819bf4333..cba665564 100644
--- a/src/main/java/net/minecraft/core/world/weather/WeatherManager.java
+++ b/src/main/java/net/minecraft/core/world/weather/WeatherManager.java
@@ -6,8 +6,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.season.Season;
 
-import java.util.Random;
-
 public class WeatherManager {
     private final World world;
 
@@ -27,7 +25,7 @@ public class WeatherManager {
         this.currentWeather = currentWeather;
         this.nextWeather = nextWeather;
         this.weatherDuration = weatherDuration;
-        this.weatherIntensity = weatherIntensity;
+//        this.weatherIntensity = weatherIntensity; // TODO investigate why we even have a weatherIntensity assignment if it never actually gets used
         this.weatherPower = weatherPower;
 
         if (nextWeather != null) {
diff --git a/src/main/java/net/minecraft/core/world/weather/WeatherRain.java b/src/main/java/net/minecraft/core/world/weather/WeatherRain.java
index af3d5cccd..b130c85a7 100644
--- a/src/main/java/net/minecraft/core/world/weather/WeatherRain.java
+++ b/src/main/java/net/minecraft/core/world/weather/WeatherRain.java
@@ -1,11 +1,5 @@
 package net.minecraft.core.world.weather;
 
-import net.minecraft.core.world.World;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
-
-import java.util.Random;
-
 public class WeatherRain extends Weather
 {
 
diff --git a/src/main/java/net/minecraft/datagen/RecipesGenerator.java b/src/main/java/net/minecraft/datagen/RecipesGenerator.java
index 49ce6206b..ed4dc625f 100644
--- a/src/main/java/net/minecraft/datagen/RecipesGenerator.java
+++ b/src/main/java/net/minecraft/datagen/RecipesGenerator.java
@@ -13,7 +13,6 @@ import net.minecraft.datagen.recipeBuilders.RecipeBuilder;
 import java.io.File;
 import java.io.FileReader;
 import java.io.IOException;
-import java.nio.file.Files;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.List;
diff --git a/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java b/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
index 03b35a1b8..712d8e3fa 100644
--- a/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
+++ b/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
@@ -1,6 +1,5 @@
 package net.minecraft.datagen;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
diff --git a/src/main/java/net/minecraft/datagen/recipeBuilders/RecipeBuilderBlastFurnace.java b/src/main/java/net/minecraft/datagen/recipeBuilders/RecipeBuilderBlastFurnace.java
index 1c2682c01..c3df7cdcc 100644
--- a/src/main/java/net/minecraft/datagen/recipeBuilders/RecipeBuilderBlastFurnace.java
+++ b/src/main/java/net/minecraft/datagen/recipeBuilders/RecipeBuilderBlastFurnace.java
@@ -1,6 +1,5 @@
 package net.minecraft.datagen.recipeBuilders;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.recipe.RecipeGroup;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
diff --git a/src/main/java/net/minecraft/server/MinecraftServer.java b/src/main/java/net/minecraft/server/MinecraftServer.java
index ef17ed199..9ec06012b 100644
--- a/src/main/java/net/minecraft/server/MinecraftServer.java
+++ b/src/main/java/net/minecraft/server/MinecraftServer.java
@@ -7,9 +7,11 @@ import net.minecraft.core.Global;
 import net.minecraft.core.MinecraftAccessor;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.block.Blocks;
+import net.minecraft.core.block.entity.TileEntityDispatcher;
 import net.minecraft.core.data.DataLoader;
 import net.minecraft.core.data.legacy.LegacyWorldTypes;
 import net.minecraft.core.data.registry.Registries;
+import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.SkinVariantList;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.lang.I18n;
@@ -169,6 +171,8 @@ public class MinecraftServer
         Blocks.init();
         Items.init();
         Dimension.init();
+        EntityDispatcher.init();
+        TileEntityDispatcher.init();
         CommandHelper.init();
 
         LOGGER.info("Loading properties");
diff --git a/src/main/java/net/minecraft/server/gui/GuiStatsComponent.java b/src/main/java/net/minecraft/server/gui/GuiStatsComponent.java
index 58cfa30c0..49d42de60 100644
--- a/src/main/java/net/minecraft/server/gui/GuiStatsComponent.java
+++ b/src/main/java/net/minecraft/server/gui/GuiStatsComponent.java
@@ -3,14 +3,9 @@ package net.minecraft.server.gui;
 import net.minecraft.core.net.NetworkManager;
 
 import java.awt.*;
-import java.awt.event.ActionEvent;
-import java.awt.event.ActionListener;
 import javax.swing.JComponent;
 import javax.swing.Timer;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiStatsListener, NetworkManager
-
 public class GuiStatsComponent extends JComponent
 {
     private final int[] memoryUse;
diff --git a/src/main/java/net/minecraft/server/gui/ServerGui.java b/src/main/java/net/minecraft/server/gui/ServerGui.java
index 9f2d1b9f9..99a94b259 100644
--- a/src/main/java/net/minecraft/server/gui/ServerGui.java
+++ b/src/main/java/net/minecraft/server/gui/ServerGui.java
@@ -1,11 +1,6 @@
 package net.minecraft.server.gui;
 
 import java.awt.*;
-import java.awt.event.ActionEvent;
-import java.awt.event.ActionListener;
-import java.awt.event.FocusAdapter;
-import java.awt.event.FocusEvent;
-import java.awt.event.FocusListener;
 import java.awt.event.WindowAdapter;
 import java.awt.event.WindowEvent;
 
